
.. currentmodule:: silx.io

:mod:`specfile`: Reading SpecFile
----------------------------------

.. automodule:: silx.io.specfile


.. autoclass:: silx.io.specfile.SpecFile
    :members:
    :undoc-members:

    .. automethod:: __len__

    .. automethod:: __iter__

    .. automethod:: __getitem__

.. autoclass:: silx.io.specfile.Scan
    :members:
    :undoc-members:

.. autoclass:: silx.io.specfile.MCA
    :members:
    :undoc-members:

    .. automethod:: __len__

    .. automethod:: __iter__

    .. automethod:: __getitem__

.. autoclass:: silx.io.specfile.SfError

.. autoclass:: silx.io.specfile.SfErrMemoryAlloc
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrFileOpen
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrFileClose
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrFileRead
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrFileWrite
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrLineNotFound
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrScanNotFound
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrHeaderNotFound
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrLabelNotFound
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrMotorNotFound
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrPositionNotFound
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrLineEmpty
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrUserNotFound
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrColNotFound
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfErrMcaNotFound
    :show-inheritance:

.. autoclass:: silx.io.specfile.SfNoMcaError
    :show-inheritance:
